Appearance
Update a client ​
PUT
/v1/clients/{requested_client_id}
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Path Parameters
requested_client_id*
Client ID
Type
Requiredstring
Request Body​
application/json
JSON"distributor_id": "b05f667dcaa843bd8c171c522217eb81_dst","roles": [["admin","user"]],"scope": "distributor","label": "Acme Client","client_status": "active","language": "en","active_until": "2025-12-31T23:59:59"
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Responses​
OK
application/json
JSON"client_id": "19941a73d2b5498caf6894d62bb6c3a4_cln","distributor_id": "b05f667dcaa843bd8c171c522217eb81_dst","created": "2025-01-01T12:00:00","updated": "2025-02-01T08:30:00","deleted": null,"scope": "distributor","client_status": "active","label": "Acme Client","language": "en","distributor_name": "Acme Distributors","roles": ["string"],"available_roles": ["string"],"active_until": "2025-12-31T23:59:59"
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}